Create Email
POST /api/v1/workspaces/{workspace_id}/emails
POST
/api/v1/workspaces/{workspace_id}/emails
Creates a new Email.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspace_id
required
integer
Workspace ID
Request Body
Section titled “Request Body ”object
name
required
The name of the email.
string
Example
Welcome Email email_design_system_id
required
The ID of the Email Design System to use for this email.
integer
Example
1 default_locale
string
Example
en-US locales
Array<string>
project_id
required
The ID of the Project this email belongs to.
integer
Example
1 ai_agent_id
integer
brand_profile_id
The ID of the Brand Profile to apply to this email. Must belong to the selected Email Design System.
integer
Example
1 link_tracking_profile_id
The ID of the Link Tracking Profile to use for tracking links in this email. If null, no link tracking is applied.
integer
Example
1 layout_id
The ID of the Layout to use for this email. Must belong to the selected Email Design System.
integer
Example
1Responses
Section titled “ Responses ”Successful
object
id
required
integer
Example
12345 status
required
string
name
required
string
Example
My Email project_id
required
integer
Example
12345 created_at
required
string format: date-time
Example
2023-08-23T10:30:00.000Z organization_id
required
integer
Example
12345 email_design_system_id
required
integer
Example
12345 default_locale
required
string
Example
en-US locales
required
Array<string>
updated_at
required
string format: date-time
Example
2023-08-23T10:30:00.000Z last_updated_by
required
object
id
required
integer
Example
12345 first_name
required
string
Example
John last_name
required
string
Example
Smith profile_image_url
required
string
Example
https://example.com/profile.jpg ai_edit_in_progress
required
boolean
ai_agent_id
required
integer
Example
12345 brand_profile_id
required
integer
Example
12345 link_tracking_profile_id
required
integer
Example
12345 published_at
required
string format: date-time
Example
2023-08-23T10:30:00.000Z screenshot_url
required
string
Example
https://www.example.com/screenshot.pngUnauthorized
object
message
required
string
Example
Record not foundForbidden
object
message
required
string
Example
Record not foundUnprocessable Entity
object
message
required
string
Example
Failed to save errors
required
object
key
additional properties
Array<string>
Example
{ "errors": { "username": [ "Username is required.", "Username must be unique." ], "email": [ "Invalid email format." ] }}